Problemes de mise à jour : # verrou E:dpkg !? Le sujet est résolu

Demande d'aide : c'est ici.
Répondre
photini1
Messages : 6
Inscription : 01 avr. 2017, 17:24
Status : Hors-ligne

Bonjour,
Une mise à jour de routine sous Debian 11.4 donne le message suivant :
Impossible obtenir le verrou E:dpkg a été interrompu.Il est nécessaire d'utiliser "dpkg--configure-a" pour corriger le problème
Jamais rencontré ce problème. Aucune modif sur la machine depuis la dernière MàJ faite sans pb.
Un peu fort de café un système qui propose des mises à jour inapplicables et pas de solution applicables par un non spécialiste !
Merci pour votre aide
Avatar de l’utilisateur
piratebab
Site Admin
Site Admin
Messages : 3928
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Bonjour, ce probleme indique que 2 logiciels ont tenté des mises à jour en même temps (par exemple apt dans une console et synaptics en mode graphique)
Et donc la mise à jour c'est mal passée.
Ouvre une console, passe en root, et tapes la commande indiquée pour réparer.
photini1
Messages : 6
Inscription : 01 avr. 2017, 17:24
Status : Hors-ligne

Bonsoir,
Merci pour la solution qui résout effectivement le problème .
Une idée de ce qui peut être à l'origine de ce conflit ?
Avatar de l’utilisateur
dezix
Modérateur
Modérateur
Messages : 2056
Inscription : 04 juin 2016, 14:50
Status : Hors-ligne

Bonsoir,
photini1 a écrit : 27 juil. 2022, 23:02 ce qui peut être à l'origine de ce conflit ?

Ce n'est pas un conflit, c'est un mécanisme de sécurité.

Lorsqu'on utilise apt avec les privilèges ( c'est à dire pour modifier le système )
la première instance crée un verrou qui bloque les processus suivants qui tenteraient de prendre la main.

Donc je ne sais pas quelles applications tu as utilisé, peut-être une interface graphique de Gnome qui a proposé de faire une mise à jour et que tu n'as pas fermée ;
puis tu auras ouvert un autre processus pour faire ta mise à jour (p.ex: Synaptic) et là tu auras reçu ce message d'échec.

Donc, ça n'a rien de méchant et tout a fonctionné comme prévu, c'est juste que tu ne le savais pas encore.

@+ :006:
Debian stable - XFCE
photini1
Messages : 6
Inscription : 01 avr. 2017, 17:24
Status : Hors-ligne

Parfait, un cas de figure à garder en mémoire pour l'avenir, merci encore.
Avatar de l’utilisateur
vv222
Modérateur
Modérateur
Messages : 580
Inscription : 18 avr. 2016, 20:14
Localisation : Bretagne
Contact :
Status : Hors-ligne

Gaffe à ne pas mélanger les différentes informations, il y a en particulier une erreur apt et une erreur dpkg :
  • « impossible d'ouvrir le fichier verrou » est une erreur qui signifie soit qu’un autre processus apt est déjà en cours, soit que l’utilisateur n’a pas les permissions pour lancer la commande donnée
  • « dpkg a été interrompu » est assez explicite, ça signifie qu’une exécution de dpkg a été interrompue (par une coupure de courant, un Ctrl + C dans la console, une erreur lors de l’opération…) et que le système est dans un état incohérent
Avatar de l’utilisateur
dezix
Modérateur
Modérateur
Messages : 2056
Inscription : 04 juin 2016, 14:50
Status : Hors-ligne

vv222 a écrit : 29 juil. 2022, 09:51 Gaffe à ne pas mélanger les différentes informations,
:good:

Merci de pointer cela, car cela m'intriguait un peu... dans la mesure où si le verrou empêche la commande apt
il n'aurait pas du y avoir d'exécution (incomplète) de dpkg

... mais ne sachant pas comment cela s'est produit ....
.... même l'intéressé souvent ne se souvient plus très bien du déroulement de la boulette,
et c'est bien compréhensible.

Juste (en raccourcis) :
  • apt est le gestionnaire de paquets (interface utilisateur) qui se charge des dépendances et du téléchargement des paquets
  • dpkg est une commande de plus bas niveau appelée par apt pour (dés)installer les paquets (.deb) qui auront été (déjà) téléchargés
C'est à dire que si on télécharge un paquet manuellement (sans passer par apt ) alors on utilise :

Code : Tout sélectionner

dpkg --install <paquet>.deb
pour installer le dit <paquet> sans que les dépendances soient téléchargées automatiquement,
ce qui nécessite leur installation préalable.

Alors qu'en utilisant :

Code : Tout sélectionner

apt install <paquet>
le téléchargement et l'installation des dépendances se font automatiquement avec ceux du <paquet>

J'espère que c'est assez clair sinon => requestionne et surtout :rtfm:

:003:
Debian stable - XFCE
photini1
Messages : 6
Inscription : 01 avr. 2017, 17:24
Status : Hors-ligne

. dezix a écrit :
mais ne sachant pas comment cela s'est produit ....

Effectivement je n'ai pas le souvenir d'avoir récemment utilisé apt ni dpkg ... ?
Merci pour toutes ces précisions
Avatar de l’utilisateur
dezix
Modérateur
Modérateur
Messages : 2056
Inscription : 04 juin 2016, 14:50
Status : Hors-ligne

STP, juste une précision pour tenter de comprendre,
quand tu écris :
photini1 a écrit : 27 juil. 2022, 20:31 ... un système qui propose des mises à jour ...
à quoi fais-tu référence ?

au message interactif de la commande : apt update
qui annonce un certain nombre de paquets candidats pour une mise à jour ?
ou à autre chose ?

[AJOUT]
Je fais référence à la dernière ligne de cet extrait de la sortie de apt update :

Code : Tout sélectionner

# apt update
Atteint :1 https://deb.debian.org/debian bullseye InRelease
Réception de :2 https://deb.debian.org/debian-security bullseye-security InRelease [48,4 kB]
Réception de :3 https://deb.debian.org/debian bullseye-updates InRelease [44,1 kB]
...
...                      
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
14 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.
Debian stable - XFCE
Avatar de l’utilisateur
vv222
Modérateur
Modérateur
Messages : 580
Inscription : 18 avr. 2016, 20:14
Localisation : Bretagne
Contact :
Status : Hors-ligne

photini1 a écrit : 29 juil. 2022, 12:10Effectivement je n'ai pas le souvenir d'avoir récemment utilisé apt ni dpkg ... ?
Si tu utilises une interface graphique comme Synaptic ou la logithèque Gnome, apt est quand même utilisé en arrière-plan.
photini1
Messages : 6
Inscription : 01 avr. 2017, 17:24
Status : Hors-ligne

dezix a écrit : 29 juil. 2022, 12:56 STP, juste une précision pour tenter de comprendre,
quand tu écris :
photini1 a écrit : 27 juil. 2022, 20:31 ... un système qui propose des mises à jour ...
à quoi fais-tu référence ?
Pour lancer les mises à jour, comme tout utilisateur lambda de Débian : dans la barre des menus Clic sur l’icône « Mises à jour disponibles » qui ouvre la page Discover avec la liste des MàJ, mot de passe et ça roule…. Et ainsi depuis des lustres excepté le problème mentionné que j’ai implicitement, à tort, attribué à un bug, d’où ma surprise et la phrase en question, rien de plus !. Reste que si le message pour réparer avait été plus explicite - il suffisait d’un mot comme l’a fait @piratebab - cette discussion aurait été évitée. Quant aux diverses hypothèses formulées sur l'origine possible du problème je ne m'y retrouve pas mais le temps a passé ...
PS : Je tente sans succès d’inclure [Résolu] dans le titre, et pas trouvé la méthode dans les règles du forum ?
Avatar de l’utilisateur
dezix
Modérateur
Modérateur
Messages : 2056
Inscription : 04 juin 2016, 14:50
Status : Hors-ligne

Je sais bien qu'il est difficile de se souvenir de tous les détails lorsqu'un incident survient, surtout si c'est la première fois.

Je posais la question pour ma culture perso et pour si d'autres utilisateurs rencontrent la même difficulté dans le futur.

N'étant pas utilisateur de KDE-Plasma,
je découvre que Discover est un gestionnaire de logiciels graphique pour l'environnement Plasma.
C'est l'équivalent KDE de la logithèque Gnome (que je n'utilise pas d'avantage),
je connais donc très mal les possibilités et surtout les ficelles de ces applications.

En tout cas merci pour ta réponse.

photini1 a écrit : 30 juil. 2022, 23:34 Je tente sans succès d’inclure [Résolu] dans le titre, et pas trouvé la méthode...

Très simple => étant connecté, remonter jusqu'au message qui donne la réponse la meilleure (celle de Piratebab #2)
tu y trouveras un bouton Accepter cette réponse (haut/droite)
ça va marquer le sujet résolu avec une coche verte et créer un lien direct (dans le titre) vers la bonne réponse.
Debian stable - XFCE
Avatar de l’utilisateur
piratebab
Site Admin
Site Admin
Messages : 3928
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Je connais discover, mais je ne l'utilise pas. Je le trouve trop lent.
Répondre